<?php

// includes and security
include_once('../_local_auth.inc.php');

$iDisplayLength = (int) $_REQUEST['iDisplayLength'];
$iDisplayStart  = (int) $_REQUEST['iDisplayStart'];
$sSortDir_0     = $_REQUEST['sSortDir_0'] ? $_REQUEST['sSortDir_0'] : "desc";
$filterText     = $_REQUEST['filterText'] ? $_REQUEST['filterText'] : "";
$filterByUser   = strlen($_REQUEST['filterByUser']) ? (int) $_REQUEST['filterByUser'] : false;
$filterByStatus = strlen($_REQUEST['filterByStatus']) ? $_REQUEST['filterByStatus'] : false;

// get sorting columns
$iSortCol_0     = (int) $_REQUEST['iSortCol_0'];
$sColumns       = trim($_REQUEST['sColumns']);
$arrCols        = explode(",", $sColumns);
$sortColumnName = $arrCols[$iSortCol_0];
$sort           = 'originalUrl';
switch ($sortColumnName)
{
    case 'urlname':
        $sort = 'originalUrl';
        break;
    case 'date_created':
        $sort = 'dateCreated';
        break;
    case 'visits':
        $sort = 'visits';
        break;
    case 'last_accessed':
        $sort = 'lastAccessed';
        break;
    case 'status':
        $sort = 'status';
        break;
    case 'owner':
        $sort = 'users.username';
        break;
}

$sqlClause = "WHERE 1=1 ";
if ($filterText)
{
    $filterText = $db->escape($filterText);
    $sqlClause .= "AND (shorturl.shorturl = '" . $filterText . "' OR ";
    //$sqlClause .= "CONCAT('" . WEB_ROOT . "/', shorturl.shortUrl) LIKE '%" . $filterText . "%' OR ";
    $sqlClause .= "shorturl.originalUrl LIKE '%" . $filterText . "%' OR ";
    $sqlClause .= "shorturl.createdIP LIKE '%" . $filterText . "%' OR ";
    $sqlClause .= "shorturl.id = '" . $filterText . "')";
}

if ($filterByUser)
{
    $sqlClause .= " AND shorturl.userId = " . $filterByUser;
}

if ($filterByStatus)
{
    $sqlClause .= " AND shorturl.status = '" . $filterByStatus."'";
}

$totalRS   = $db->getValue("SELECT COUNT(shorturl.id) AS total FROM shorturl " . $sqlClause);
$limitedRS = $db->getRows("SELECT shorturl.*, users.username FROM shorturl LEFT JOIN users ON shorturl.userId = users.id " . $sqlClause . " ORDER BY " . $sort . " " . $sSortDir_0 . " LIMIT " . $iDisplayStart . ", " . $iDisplayLength);

$data = array();
if (COUNT($limitedRS) > 0)
{
    foreach ($limitedRS AS $row)
    {
        $lRow = array();
        $icon   = 'assets/images/icons/link_16x16.png';
        $lRow[] = '<img src="' . $icon . '" width="16" height="16" title="link" alt="link"/>';
        if ($row['status'] == 'active')
        {
            $lRow[] = '<a href="' . shortUrl::getShortUrlDomain($row['urlDomainId']) . "/" . $row['shortUrl'] . '" target="_blank" title="' . adminFunctions::makeSafe($row['originalUrl']) . '">' . adminFunctions::makeSafe(shortUrl::getShortUrlDomain($row['urlDomainId']) . "/" . $row['shortUrl']) . '</a>';
        }
        else
        {
            $lRow[] = '<span title="'.adminFunctions::makeSafe($row['originalUrl']).'">'.adminFunctions::makeSafe(shortUrl::getShortUrlDomain($row['urlDomainId']) . "/" . $row['shortUrl']).'</span>';
        }
        $lRow[] = dater($row['dateCreated'], SITE_CONFIG_DATE_FORMAT);
        $lRow[] = (int) $row['visits'];
        $lRow[] = strlen($row['username'])?adminFunctions::makeSafe($row['username']):'<span style="color: #aaa;" title="[no login]">'.adminFunctions::makeSafe($row['createdIP']).'</span>';
        $lRow[] = dater($row['lastAccessed'], SITE_CONFIG_DATE_FORMAT);
        $statusRow = '<span class="statusText'.str_replace(" ", "", adminFunctions::makeSafe(UCWords($row['status']))).'"';
        $statusRow .= '>'.$row['status'].'</span>';
        $lRow[] = $statusRow;

        $links = array();
        $links[] = '<a href="' . shortUrl::getShortUrlDomain($row['urlDomainId']) . "/" . $row['shortUrl'] . '~s" target="_blank">stats</a>';
        if ($row['status'] == 'active')
        {
            $links[] = '<a href="#" onClick="confirmRemoveUrl(' . (int) $row['id'] . '); return false;">remove</a>';
        }
        if(strlen($row['adminNotes']))
        {
            $links[] = '<a href="#" onClick="showNotes(\''.str_replace(array("\n", "\r"), "<br/>", adminFunctions::makeSafe(str_replace("'", "\"", $row['adminNotes']))).'\'); return false;">notes</a>';
        }
        $lRow[]  = implode(" | ", $links);

        $data[] = $lRow;
    }
}

$resultArr = array();
$resultArr["sEcho"]                = intval($_GET['sEcho']);
$resultArr["iTotalRecords"]        = (int) $totalRS;
$resultArr["iTotalDisplayRecords"] = $resultArr["iTotalRecords"];
$resultArr["aaData"]               = $data;

echo json_encode($resultArr);
